%define oname xfce4-weather
 
Summary: 	A weather plugin for the Xfce4 panel
Name: 		xfce-weather-panel
Version: 	0.4.1
Release: 	1mdk
License:	BSD
URL: 		http://download.berlios.de/xfce-goodies/
Source0: 	xfce4-weather-plugin-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= 4.1.99.1
BuildRequires:	xfce-panel-devel >= 4.1.99.1
BuildRequires:	libgdk_pixbuf2.0-devel
Obsoletes: xfce-weather
Provides: xfce-weather

%description
A panel plugin for Xfce4 panel. 
It shows the current temperature and weather conditions.

%prep
%setup -q -n %{oname}-plugin-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/panel-plugins/*.a

%find_lang %{oname}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%dir %{_datadir}/xfce4/weather
%{_datadir}/xfce4/weather/*
%{_libdir}/xfce4/panel-plugins/


%changelog
* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.4.1-1mdk
- 0.4.1
- group: Graphical desktop/Xfce
- add language files
- remove unneeded devel files

* Fri Nov 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.3.9.1-1mdk
- use plugin in name
- build against new panel
- add O/P

* Wed Jun 30 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.9.1-0.1mdk
- 0.3.9.1
- update URL

* Sun May 30 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.9-1mdk
- 0.3.9
- reenable libtoolize
- update URL

* Wed Feb 18 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- first mdk pkg
  
